### Method

# GIRepository Repository get_version

since: 2.80

#### Declaration

    const char*
    gi_repository_get_version (
      GIRepository* repository,
      const char* namespace_
    )

#### Description

This function returns the loaded version associated with the given namespace `namespace_`.

Note: The namespace must have already been loaded using a function such as `gi_repository_require()` before calling this function.

Available since: 2.80

#### Parameters

`namespace_`

  Type: `const char*`

  Namespace to inspect.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const char*`

Loaded version.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.